## org.apache.poi.hwpf.usermodel
Class HeaderStories

    java.lang.Object
      org.apache.poi.hwpf.usermodel.HeaderStories

    public final class HeaderStories

extends java.lang.Object

A HeaderStory is a Header, a Footer, or footnote/endnote separator. All the Header Stories get stored in the same Range in the document, and this handles getting out all the individual parts. WARNING - you shouldn't change the headers or footers, as offsets are not yet updated!

Constructor Summary
`HeaderStories(HWPFDocument doc)`

Method Summary
`boolean` `areFieldsStripped()` Are fields currently being stripped from the text that this `HeaderStories` returns? Default is false, but can be changed
`java.lang.String` `getEndnoteContNote()` Deprecated.
`Range` `getEndnoteContNoteSubrange()`
`java.lang.String` `getEndnoteContSeparator()` Deprecated.
`Range` `getEndnoteContSeparatorSubrange()`
`java.lang.String` `getEndnoteSeparator()` Deprecated.
`Range` `getEndnoteSeparatorSubrange()`
`java.lang.String` `getEvenFooter()` Deprecated.
`Range` `getEvenFooterSubrange()`
`java.lang.String` `getEvenHeader()` Deprecated.
`Range` `getEvenHeaderSubrange()`
`java.lang.String` `getFirstFooter()` Deprecated.
`Range` `getFirstFooterSubrange()`
`java.lang.String` `getFirstHeader()` Deprecated.
`Range` `getFirstHeaderSubrange()`
`java.lang.String` `getFooter(int pageNumber)` Returns the correct, defined footer for the given one based page
`java.lang.String` `getFootnoteContNote()` Deprecated.
`Range` `getFootnoteContNoteSubrange()`
`java.lang.String` `getFootnoteContSeparator()` Deprecated.
`Range` `getFootnoteContSeparatorSubrange()`
`java.lang.String` `getFootnoteSeparator()` Deprecated.
`Range` `getFootnoteSeparatorSubrange()`
`java.lang.String` `getHeader(int pageNumber)` Returns the correct, defined header for the given one based page
`java.lang.String` `getOddFooter()` Deprecated.
`Range` `getOddFooterSubrange()`
`java.lang.String` `getOddHeader()` Deprecated.
`Range` `getOddHeaderSubrange()`
`protected PlexOfCps` `getPlcfHdd()`
`Range` `getRange()`
`void` `setAreFieldsStripped(boolean stripFields)` Should fields (eg macros) be stripped from the text that this class returns? Default is not to strip.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeaderStories

    public HeaderStories(HWPFDocument doc)

Method Detail

### getFootnoteSeparator

    @Deprecated
    public java.lang.String getFootnoteSeparator()

  Deprecated.

### getFootnoteContSeparator

    @Deprecated
    public java.lang.String getFootnoteContSeparator()

  Deprecated.

### getFootnoteContNote

    @Deprecated
    public java.lang.String getFootnoteContNote()

  Deprecated.

### getEndnoteSeparator

    @Deprecated
    public java.lang.String getEndnoteSeparator()

  Deprecated.

### getEndnoteContSeparator

    @Deprecated
    public java.lang.String getEndnoteContSeparator()

  Deprecated.

### getEndnoteContNote

    @Deprecated
    public java.lang.String getEndnoteContNote()

  Deprecated.

### getFootnoteSeparatorSubrange

    public Range getFootnoteSeparatorSubrange()

### getFootnoteContSeparatorSubrange

    public Range getFootnoteContSeparatorSubrange()

### getFootnoteContNoteSubrange

    public Range getFootnoteContNoteSubrange()

### getEndnoteSeparatorSubrange

    public Range getEndnoteSeparatorSubrange()

### getEndnoteContSeparatorSubrange

    public Range getEndnoteContSeparatorSubrange()

### getEndnoteContNoteSubrange

    public Range getEndnoteContNoteSubrange()

### getEvenHeader

    @Deprecated
    public java.lang.String getEvenHeader()

  Deprecated.

### getOddHeader

    @Deprecated
    public java.lang.String getOddHeader()

  Deprecated.

### getFirstHeader

    @Deprecated
    public java.lang.String getFirstHeader()

  Deprecated.

### getEvenHeaderSubrange

    public Range getEvenHeaderSubrange()

### getOddHeaderSubrange

    public Range getOddHeaderSubrange()

### getFirstHeaderSubrange

    public Range getFirstHeaderSubrange()

### getHeader

    public java.lang.String getHeader(int pageNumber)

  Returns the correct, defined header for the given one based page

  Parameters:
    `pageNumber` - The one based page number

### getEvenFooter

    @Deprecated
    public java.lang.String getEvenFooter()

  Deprecated.

### getOddFooter

    @Deprecated
    public java.lang.String getOddFooter()

  Deprecated.

### getFirstFooter

    @Deprecated
    public java.lang.String getFirstFooter()

  Deprecated.

### getEvenFooterSubrange

    public Range getEvenFooterSubrange()

### getOddFooterSubrange

    public Range getOddFooterSubrange()

### getFirstFooterSubrange

    public Range getFirstFooterSubrange()

### getFooter

    public java.lang.String getFooter(int pageNumber)

  Returns the correct, defined footer for the given one based page

  Parameters:
    `pageNumber` - The one based page number

### getRange

    public Range getRange()

### getPlcfHdd

    protected PlexOfCps getPlcfHdd()

### areFieldsStripped

    public boolean areFieldsStripped()

  Are fields currently being stripped from the text that this `HeaderStories` returns? Default is false, but can be changed

### setAreFieldsStripped

    public void setAreFieldsStripped(boolean stripFields)

  Should fields (eg macros) be stripped from the text that this class returns? Default is not to strip.

  Parameters:
    `stripFields` -

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.